Bug 465171 - Error when configuring the disk plugin
Error when configuring the disk plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-01 18:00 EDT by George Notaras
Modified: 2008-10-03 18:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: collectd-4.4.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 18:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description George Notaras 2008-10-01 18:00:20 EDT
Description of problem:

Whenever the 'disk' plugin is configured, for example:

  <Plugin disk>
    Disk "sda"
  </Plugin>

then the following error message appears in the collectd logfile:

   Found a configuration for the `disk' plugin, but the plugin
   isn't loaded or didn't register a configuration callback.

It should be possible to configure the plugin to record stats only for the wanted block devices.

From what I have read this has been fixed in version 4.4.0

Please release an updated RPM package.


Version-Release number of selected component (if applicable):

4.3.3-3.fc9
Comment 1 Alan Pevec 2008-10-02 03:35:38 EDT
collectd-4.4.3-1.fc is already in F9 updates testing,
please give it a try and add +1 in bodhi to get it moved to updates stable:
https://admin.fedoraproject.org/updates/F9/FEDORA-2008-8224

yum --enablerepo=updates-testing-newkey update collectd

NOTE: if you've modified /etc/collectd.conf, new config will be installed as /etc/collectd.conf.rpmnew - make sure to rename it and merge your changes!
Comment 2 Alan Pevec 2008-10-02 04:43:13 EDT
new build collectd-4.4.3-2.fc9 with a minor fix (remove LoadPlugin email from default /etc/collectd.conf, it's in subpackage collectd-email now)
Comment 3 George Notaras 2008-10-02 07:22:25 EDT
I installed both 4.4.3-1 and 4.4.3-2. This bug with the 'disk' plugin is fixed.

I merged config files and everything seems to run smoothly.

Thanks
Comment 4 Fedora Update System 2008-10-03 18:32:59 EDT
collectd-4.4.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.